summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <andreas.sturmlechner@gmail.com>2016-10-22 10:49:18 +0200
committerAndreas K. Hüttel <dilfridge@gentoo.org>2016-11-05 22:00:47 +0100
commitc1f829a80d07781cfe5088ebb2534ab211af0991 (patch)
tree8f684a3222fada2e996be7cfb9644d4ba34dbf12 /app-text/libwps
parentapp-benchmarks/i7z: Bump to 93_p20131012, fixes bug #487784 (diff)
downloadgentoo-c1f829a80d07781cfe5088ebb2534ab211af0991.tar.gz
gentoo-c1f829a80d07781cfe5088ebb2534ab211af0991.tar.bz2
gentoo-c1f829a80d07781cfe5088ebb2534ab211af0991.zip
app-text/libwps: Switch 0.4.4 to --with-sharedptr=c++11
Drop boost dependency. Package-Manager: portage-2.3.0
Diffstat (limited to 'app-text/libwps')
-rw-r--r--app-text/libwps/libwps-0.4.4-r1.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/app-text/libwps/libwps-0.4.4-r1.ebuild b/app-text/libwps/libwps-0.4.4-r1.ebuild
new file mode 100644
index 00000000000..4ac63db8fa1
--- /dev/null
+++ b/app-text/libwps/libwps-0.4.4-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils
+
+DESCRIPTION="Microsoft Works file word processor format import filter library"
+HOMEPAGE="http://libwps.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="|| ( LGPL-2.1 MPL-2.0 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~x86"
+IUSE="doc debug static-libs"
+
+RDEPEND="
+ app-text/libwpd:0.10
+ dev-libs/librevenge
+"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+"
+
+src_configure() {
+ econf \
+ --disable-werror \
+ --with-sharedptr=c++11 \
+ $(use_enable debug) \
+ $(use_with doc docs) \
+ $(use_enable static-libs static)
+}
+
+src_install() {
+ default
+ prune_libtool_files --all
+}